
<!doctype html>
<html lang="en">




<head>
    <title>How to Attune v5 Setup WinPE Support - Attune Automation</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport"
          content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="title"
          content="How to Attune v5 Setup WinPE Support - Attune Automation">
    <meta name="description"
          content="">
    <meta name="robots"
          content="follow, index, max-snippet:-1, max-video-preview:-1, max-image-preview:large">

    <meta property="og:locale" content="en_AU" />
    <meta property="og:type" content="article" />
    <meta property="og:title"
          content="HowTo Attune v5 Setup WinPE Support - Attune Automation" />
    <meta property="og:description" content="" />
    <meta property="og:site_name" content="Attune Automation" />
    <meta property="article:section" content="IT Instruction" />

    <meta name="twitter:title"
          content="How to Attune v5 Setup WinPE Support - Attune Automation" />
    <meta name="twitter:description" content="" />

    <link rel="icon" href="https://www.servertribe.com/wp-content/uploads/2020/10/cropped-server_tribe_favicon-32x32.png" sizes="32x32">
    <link rel="icon" href="https://www.servertribe.com/wp-content/uploads/2020/10/cropped-server_tribe_favicon-192x192.png" sizes="192x192">
    <link rel="apple-touch-icon" href="https://www.servertribe.com/wp-content/uploads/2020/10/cropped-server_tribe_favicon-180x180.png">
    <meta name="msapplication-TileImage" content="https://www.servertribe.com/wp-content/uploads/2020/10/cropped-server_tribe_favicon-270x270.png">
    <link rel="stylesheet"
          href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
          crossorigin="anonymous">
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/prism/1.29.0/themes/prism-tomorrow.min.css">
    <link rel="stylesheet" href="../styles/style.css">

</head>


<body>

<!-- Project breadcrumbs -->

<!-- Project breadcrumbs -->
<nav aria-label="breadcrumb">
    <ol class="breadcrumb m-0">
        <li class="breadcrumb-item" aria-current="page">
            <a
                href="https://www.servertribe.com/"
                target="_blank">
                ServerTribe
            </a>
        </li>
        <li class="breadcrumb-item" aria-current="page">
            <a
                href="https://github.com/attune-Automation/"
                target="_blank">
                Attune Automation Projects
            </a>
        </li>
        <li class="breadcrumb-item">
            <a href="../index.html">
            Kickstart Windows
            </a>
        </li>
        <li class="breadcrumb-item active" aria-current="page">
            <strong>Attune v5 Setup WinPE Support</strong>
        </li>
    </ol>
</nav>

<!-- Blueprint Header -->

<div class="container px-0">
    <!-- Blueprint name and description -->
    <div class="row pt-5">
        <div class="col px-0">
            <h1 class="text-left">
                How to Attune v5 Setup WinPE Support
            </h1>
        </div>
    </div>

<!-- Blueprint Description -->
    <div class="row pt-4">
        <div class="col-6 px-0">
            <h6 class="text-left">
                This documentation is generated by
                <a href="https://www.servertribe.com/"
                    class="badge badge-primary"
                    target="_blank">
                    Attune
                </a>
            </h6>
        </div>
        <div class="col-6 align-self-end text-right px-0">
            <h6 class="text-right">
                <a href="https://www.youtube.com/@servertribe"
                    class="badge badge-secondary"
                    target="_blank">
                    YouTube
                </a>
                <a href="https://github.com/Attune-Automation"
                    class="badge badge-secondary"
                    target="_blank">
                    GitHub
                </a>
                <a href="https://discord.com/invite/3YpJsagqUn"
                    class="badge badge-secondary"
                    target="_blank">
                    Discord
                </a>
                <a href="https://www.linkedin.com/company/servertribe/"
                    class="badge badge-secondary"
                    target="_blank">
                    LinkedIn
                </a>
                <a href="http://doc.servertribe.com/"
                    class="badge badge-secondary"
                    target="_blank">
                    Documentation
                </a>
            </h6>
        </div>
    </div>
    <hr>
</div>

<div class="documentation">
    <div class="container px-0">
        <div class="row">

<!-- Blueprint ToC -->


            <div class="col-lg-2 px-0 pr-5">
                <div class="container px-0 pt-3 sticky-top">
                    <h6 class="pb-2">
                        <strong>Contents</strong>
                    </h6>
                    <h6 class="text-muted">
                        <a href="#top">
                            <strong>Attune v5 Setup WinPE Support</strong>
                        </a>
                    </h6>


    
        

                    <h6 class="text-muted pt-2">
                        <a href="#attunev5swpessetupsambalink">
                            <strong>Step 1 -</strong> Attune v5 SWPES Setup Samba (Link)
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#attunev5swpeinstallcwimlib">
                            <strong>Step 2 -</strong> Attune v5 SWPE Install C wimlib
                        </a>
                    </h6>
    
        

                    <h6 class="text-muted pt-2">
                        <a href="#swpeicwrhel8installepelrepository">
                            <strong>Step 2.1 -</strong> SWPE ICW RHEL8 Install EPEL Repository
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#dnfupdate">
                            <strong>Step 2.2 -</strong> dnf update
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#swpeicwinstallwimlibdependencies">
                            <strong>Step 2.3 -</strong> SWPE ICW Install wimlib Dependencies
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#swpeicwinstallautotools">
                            <strong>Step 2.4 -</strong> SWPE ICW Install autotools
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#swpeicwclonewimlib">
                            <strong>Step 2.5 -</strong> SWPE ICW Clone wimlib
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#swpeicwrunautotools">
                            <strong>Step 2.6 -</strong> SWPE ICW Run autotools
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#swpeicwwimlibconfigure">
                            <strong>Step 2.7 -</strong> SWPE ICW wimlib Configure
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#swpeicwwimlibmake">
                            <strong>Step 2.8 -</strong> SWPE ICW wimlib Make
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#swpeicwwimlibinstall">
                            <strong>Step 2.9 -</strong> SWPE ICW wimlib Install
                        </a>
                    </h6>

        

                    <h6 class="text-muted pt-2">
                        <a href="#swpeicwwimlibaddsymboliclinks">
                            <strong>Step 2.10 -</strong> SWPE ICW wimlib Add Symbolic Links
                        </a>
                    </h6>


        

                    <h6 class="text-muted pt-2">
                        <a href="#attunev4sasconfigureattunecfg">
                            <strong>Step 3 -</strong> Attune v4 SAS Configure Attune CFG
                        </a>
                    </h6>


                </div>
            </div>

<!-- Blueprint Contents -->
            <div class="col-lg-8 pt-3">
                <div class="container">


        <div class="blueprint-description jumbotron">
            <h2 class="display-3 text-center">
                Automate This
            </h2>
            <p class="lead text-center">
                Use the <strong>Attune GUI</strong> for your Scripts
            </p>
            <p class="lead">
                <ol>
                    <a href="https://www.servertribe.com/download-attune-registration/"
                        target="_blank">
                        <span class="badge badge-primary">1</span>
                        Download Attune
                        <i class="fa-solid fa-download fa-beat-fade" style="color: #0197ff;"></i>
                    </a>
                </ol>
                <ol>
                    <a href="https://github.com/attune-Automation/"
                        target="_blank">
                        <span class="badge badge-primary">2</span>
                         Copy the Attune Project URL
                         <i class="fa-brands fa-github fa-fade"></i>
                    </a>
                </ol>
                <ol>
                    <a href="https://servertribe-attune.readthedocs.io/en/latest/howto/design_workspace/clone_project.html"
                        target="_blank">
                        <span class="badge badge-primary">3</span>
                        Clone the Project in Attune
                         <i class="fa-solid fa-book fa-fade" style="color: #0197ff;"></i>
                    </a>
                </ol>
                <ol>
                    <a href="https://www.youtube.com/watch?v=GCWDI29rDV0"
                        target="_blank">
                        <span class="badge badge-primary">4</span>
                        Plan your Job(s)
                        <i class="fa-brands fa-youtube fa-fade" style="color: #0197ff;"></i>
                    </a>
                </ol>
                <ol>
                    <a href="https://www.youtube.com/watch?v=b7DhFcURkZg"
                        target="_blank">
                        <span class="badge badge-primary">5</span>
                        Run your Job(s)
                        <i class="fa-brands fa-youtube fa-fade" style="color: #0197ff;"></i>
                    </a>
                </ol>
            </p>
            <p class="lead text-center">
                You've automated: <strong>Attune v5 Setup WinPE Support</strong>
            </p>
            <hr class="my-4 text-center">
            <div class="col px-0">
                <p class="text-center">
                    Get the most out of automation with our get started
                    videos, product demonstrations, and more.
                </p>
                <p class="lead text-center">
                    <a class="btn btn-primary btn-lg"
                       href="https://www.servertribe.com/learn/"
                       target="_blank"
                       role="button">
                        Learn Attune Automation
                    </a>
                </p>
            </div>
        </div>

        <div class="row">
            <p>The following steps will guide you through the manual process.</p>
        </div>

<!-- Blueprint Steps -->


        



                    <div class="row pt-5">
                        <h4 id="attunev5swpessetupsambalink">
                            <a href="#attunev5swpessetupsambalink">
                                <strong>Step 1 -</strong> Attune v5 SWPES Setup Samba (Link)
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>






    





        



                    <div class="row pt-5">
                        <h3 id="attunev5swpeinstallcwimlib">
                            <a href="#attunev5swpeinstallcwimlib">
                                <strong>Step 2 -</strong> Attune v5 SWPE Install C wimlib
                            </a>
                        </h3>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>





    




    



                    <div class="row pt-5">
                        <h4 id="swpeicwrhel8installepelrepository">
                            <a href="#swpeicwrhel8installepelrepository">
                                <strong>Step 2.1 -</strong> SWPE ICW RHEL8 Install EPEL Repository
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxrootuser}@{targetserverlin}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
count=$(dnf repolist enabled | grep epel | wc -l)

if [ $count -eq 0 ]
then
    dnf -y install https://dl.fedoraproject.org/pub/epel/epel-release-latest-8.noarch.rpm
else
    echo &quot;EPEL repository already installed.&quot;
fi
                </code>
            </pre>
        </div>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="dnfupdate">
                            <a href="#dnfupdate">
                                <strong>Step 2.2 -</strong> dnf update
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
dnf -y update
                </code>
            </pre>
        </div>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="swpeicwinstallwimlibdependencies">
                            <a href="#swpeicwinstallwimlibdependencies">
                                <strong>Step 2.3 -</strong> SWPE ICW Install wimlib Dependencies
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
if [ -f /usr/local/lib/libwim.so ]
then
    echo &quot;libwim.so already installed&quot;
else
    dnf -y install libxml2 libxml2-devel \
        fuse fuse-devel \
        ntfs-3g ntfs-3g-devel \
        openssl openssl-devel \
        mtools syslinux cabextract
fi
                </code>
            </pre>
        </div>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="swpeicwinstallautotools">
                            <a href="#swpeicwinstallautotools">
                                <strong>Step 2.4 -</strong> SWPE ICW Install autotools
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
dnf -y install autoconf automake libtool
                </code>
            </pre>
        </div>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="swpeicwclonewimlib">
                            <a href="#swpeicwclonewimlib">
                                <strong>Step 2.5 -</strong> SWPE ICW Clone wimlib
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxattuneuser}@{targetserverlin}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
wimlib_dir=&quot;wimlib&quot;

if [ -d $wimlib_dir ]
then
    echo &quot;Already cloned&quot;
else
    git clone https://github.com/ebiggers/wimlib.git
fi
                </code>
            </pre>
        </div>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="swpeicwrunautotools">
                            <a href="#swpeicwrunautotools">
                                <strong>Step 2.6 -</strong> SWPE ICW Run autotools
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
if [ -f /usr/local/lib/libwim.so ]
then
    echo &quot;libwim.so already installed&quot;
else
    wimlib_dir=&quot;wimlib&quot;
    cd $wimlib_dir
    libtoolize
    aclocal
    autoconf
    autoheader
    automake --add-missing
    autoreconf
fi
                </code>
            </pre>
        </div>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="swpeicwwimlibconfigure">
                            <a href="#swpeicwwimlibconfigure">
                                <strong>Step 2.7 -</strong> SWPE ICW wimlib Configure
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
if [ -f /usr/local/lib/libwim.so ]
then
    echo &quot;libwim.so already installed&quot;
else
    wimlib_dir=&quot;wimlib&quot;
    cd $wimlib_dir
    ./configure
fi
                </code>
            </pre>
        </div>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="swpeicwwimlibmake">
                            <a href="#swpeicwwimlibmake">
                                <strong>Step 2.8 -</strong> SWPE ICW wimlib Make
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
if [ -f /usr/local/lib/libwim.so ]
then
    echo &quot;libwim.so already installed&quot;
else
    wimlib_dir=&quot;wimlib&quot;
    cd $wimlib_dir
    make
fi
                </code>
            </pre>
        </div>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="swpeicwwimlibinstall">
                            <a href="#swpeicwwimlibinstall">
                                <strong>Step 2.9 -</strong> SWPE ICW wimlib Install
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxrootuser}@{targetserverlin}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
if [ -f /usr/local/lib/libwim.so ]
then
    echo &quot;libwim.so already installed&quot;
else
    cd /home/attune/wimlib
    make install
fi
                </code>
            </pre>
        </div>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="swpeicwwimlibaddsymboliclinks">
                            <a href="#swpeicwwimlibaddsymboliclinks">
                                <strong>Step 2.10 -</strong> SWPE ICW wimlib Add Symbolic Links
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
if [ -f /usr/local/lib/libwim.so ]
then
    echo &quot;libwim.so already installed&quot;
else
    ln -s /usr/local/lib/libwim.so /usr/lib/libwim.so
fi
                </code>
            </pre>
        </div>
    </div>






        



                    <div class="row pt-5">
                        <h4 id="attunev4sasconfigureattunecfg">
                            <a href="#attunev4sasconfigureattunecfg">
                                <strong>Step 3 -</strong> Attune v4 SAS Configure Attune CFG
                            </a>
                        </h4>
                    </div>

                    <div class="blueprint-description row">
                        <p>
                            
                        </p>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxattuneuser}@{attuneserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
[ -d ~/attune.home ] || mkdir ~/attune.home

if ! grep -q &quot;[disk_storage]&quot; ~/attune.home/config.cfg
then

    cat &lt;&lt;&quot;EOF&quot; &gt;&gt; ~/attune.home/config.cfg
    
[disk_storage]
home_path = /home/attune/attune.home
archives_path = %(home_path)s/archives_contents
tmp_path = %(home_path)s/tmp
archives_unlocked_contents = %(home_path)s/archives_unlocked_contents


[alembic]
# path to migration scripts
script_location = /home/attune/python/lib/python2.7/site-packages/attune/alembic
sourceless = true
sqlalchemy.url = postgresql://{postgresqlServiceUser.user}:{postgresqlServiceUser.password}@localhost/attune

[user]
admin.pass = {attuneWebUserAdmin.password}

EOF

else
    echo &quot;[disk_storage] is already written, skipping.&quot;
fi

echo &quot;~/attune.home/config.cfg:&quot;
cat ~/attune.home/config.cfg
                </code>
            </pre>
        </div>
    </div>






                    <div class="row pt-5">
                        <div class="col">
                            <h3>Completed</h3>
                            <p>
                                You have completed this instruction.
                            </p>
                        </div>
                    </div>
                </div>
            </div>

<!-- Download Attune Ad -->

            <div class="col-lg-2 px-0">
                <div class="container px-0 pt-3 pl-5 sticky-top">
                    <div class="card border-light mb-3" style="max-width: 18rem;">
                        <div class="card-body attune-ad">
                            <img
                                src="https://www.servertribe.com/wp-content/uploads/2022/06/AttuneLogoV2_powered_by.png"
                                alt="Attune - Powered by ServerTribe"
                                class="img-fluid">
                            <h5 class="card-title mt-3 text-center">
                                Automate with Attune
                            </h5>
                            <p class="card-text text-left">
                                Download the Attune Community Edition.
                            </p>
                            <p class="text-center">
                                <a href="https://www.servertribe.com/download-attune-registration/"
                                   class="btn btn-primary mt-3">
                                    DOWNLOAD!!!
                                </a>
                            </p>
                        </div>
                    </div>
                </div>
            </div>

        </div>

<!-- Join Discord -->

        <div class="row py-5">
            <div class="jumbotron">
                <h1 class="display-4 text-center">
                    Discuss this Instruction in Discord
                </h1>
                <p class="lead">

                    Join our Discord channel and connect with like-minded
                    individuals who
                    share your passion. Engage in lively discussions, gain
                    valuable insights,
                    and stay updated on the latest trends in our industry. Don't
                    miss out on
                    this opportunity to network, learn, and grow together.
                </p>
                <hr class="my-4 text-center">
                <div class="col px-0">
                    <p class="text-center">
                        Click the link below and become a part of our vibrant
                        community on
                        Discord today!
                    </p>
                    <p class="lead text-center">
                        <a class="btn btn-primary btn-lg"
                           href="https://discord.com/invite/3YpJsagqUn"
                           role="button">
                            Join NOW!!!
                        </a>
                    </p>
                </div>
            </div>
        </div>

    </div>
</div>


<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
<script
    src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js"
    integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
    crossorigin="anonymous"></script>
<script
    src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js"
    integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
    crossorigin="anonymous"></script>

<script
    src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/js/all.min.js"></script>

<script
    src="https://cdnjs.cloudflare.com/ajax/libs/prism/1.29.0/components/prism-core.min.js"></script>
<script
    src="https://cdnjs.cloudflare.com/ajax/libs/prism/1.29.0/plugins/autoloader/prism-autoloader.min.js"></script>


</body>
</html>
